Use this endpoint to delete an Ops Manager server log collection job and its archive. Ops Manager removes the job, all task summaries, and every collected log file from the Application Database immediately. You cannot delete a job that is still in progress.
Warning
You cannot recover a deleted job.
Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0
Resource
DELETE /admin/omLogCollectionJobs/{JOB-ID}
Required Roles
Requires that the API Key calling this endpoint have the
Global Owner role.
Request Parameters
Request Path Parameters
Name | Type | Necessity | Description |
|---|---|---|---|
| string | Required | Unique 24-hexadecimal digit string that identifies the Ops Manager server log collection job. To find a job ID, call Get All Ops Manager Server Log Collection Jobs. |
Request Query Parameters
The following query parameters are optional:
Name | Type | Necessity | Description | Default | ||||||
|---|---|---|---|---|---|---|---|---|---|---|
pretty | boolean | Optional | Flag indicating whether the response body should be in a prettyprint format. |
| ||||||
envelope | boolean | Optional | Flag that indicates whether or not to wrap the response in an envelope. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. For endpoints that return one result, the response body includes:
|
|
Request Body Parameters
This endpoint doesn't use HTTP request body parameters.
Response
This endpoint does not return a response body.
Example Request
curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \ --include \ --request DELETE \ "https://<OpsManagerHost>:<Port>/api/public/v1.0/admin/omLogCollectionJobs/{JOB-ID}?pretty=true"
Example Response
Response Header
401 Unauthorized Content-Type: application/json;charset=ISO-8859-1 Date: {dateInUnixFormat} WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=false Content-Length: {requestLengthInBytes} Connection: keep-alive
204 No Content Vary: Accept-Encoding Content-Type: application/json Strict-Transport-Security: max-age=300 Date: {dateInUnixFormat} Connection: keep-alive Content-Length: {requestLengthInBytes} X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}
Response Body
This endpoint does not return a response body.